Bug 105781

Summary: missing key bindings in mutt
Product: [Fedora] Fedora Reporter: Graydon Saunders <oak>
Component: muttAssignee: Bill Nottingham <notting>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alex, rakarra, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-21 13:58:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Graydon Saunders 2003-09-27 10:05:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 (Linux 2.4.22-1.2061.nptl i686; U) Opera 7.11  [en]

Description of problem:
Default mutt keybindings have <end> as the 'jump to end of message' command.

This works with mutt-1.4-10; it doesn't work with 1.4.1-4.

Instead, I get "Key is not bound.  Press '?' for help."

If I do that, I find in the help:

<End>       bottom                 jump to the bottom of the message

The binding for <Home> ('jump to top of the message') also appears to be 

This is with the default /etc/Muttrc as well as with my lightly customized one.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open a long message in mutt
2. press <end>

Actual Results:  Error message - Key is not bound.  Press '?' for help.

Expected Results:  Jumping to the end of the message.

Additional info:
Comment 1 Bill Nottingham 2003-09-29 00:06:37 EDT
*** Bug 105808 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2003-09-29 00:07:54 EDT
This works for me OK with 1.4.1-4. What sort of terminal are you running in?
Comment 3 Graydon Saunders 2003-09-29 02:49:26 EDT
I was using konsole (kdebase-3.1.3-7), but I've just tried it with aterm and 
xterm, and they both have the same difficulty.  (xterm-179-5; aterm is 0.4.2 but 
obviously not a Fedora package.)

Comment 4 Bill Nottingham 2003-09-29 16:46:24 EDT
Hm, it works for me with xterm as well.
Comment 5 Graydon Saunders 2003-09-29 17:42:44 EDT
Well, if I get the mutt-1.4-10 source RPM from Shrike, build it, and install it 
instead of 1.4.1-4, the keybindings work.

Rebuilt 1.4.1-4 still doens't work.  (I can't imagine that would change 
anything; I'm using essentially stock Severn 2, with the exception of some added 
minor utilities like aterm and hddtemp.)

I don't think there's anything actually odd about my keyboard; it's an IBM space 
saver, so no numeric keypad, but so far as I know all the key codes are 
Comment 6 rakarra 2004-04-25 05:04:29 EDT
I have the same problem, using 1.4.1-6. Using gnome-terminal or xterm,
I get "key not bound" errors when trying to use home or end (though
page up and page down still work). However, if I ssh into the Fedora
Core 2 machine from a Fedora Core 1 machine, those keys work. If, on
the FC2 machine, I switch to a text mode console, it works there too.

Also, if I set my TERM entry to "linux" instead "xterm," the home/end
keybindings work again too.

I had this problem also in RedHat 7, it was fixed in 8, but now it's back.
Comment 7 Robert Scheck 2004-08-20 13:05:35 EDT
I think that problem is maybe ncurses and/or gnome-terminal related, 
I'm currently not able to reproduce that problem.
Comment 8 rakarra 2004-08-20 13:42:27 EDT
It's possibly curses-related, but I don't believe it's gnome-terminal
related, this is happening under regular xterm as well.

I script for mutt now that essentially runs "TERM=linux /usr/bin/mutt"
and that works, though I have the natural feeling that shouldn't be
necessary. :)
Comment 9 Bill Nottingham 2004-08-20 14:59:35 EDT
Oh, this is definitely ncurses/gnome-terminal related.

*** This bug has been marked as a duplicate of 122815 ***
Comment 10 Red Hat Bugzilla 2006-02-21 13:58:47 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.